//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Base/Axis/DiscreteAxis.h
//! @brief     Defines class DiscreteAxis.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_BASE_AXIS_DISCRETEAXIS_H
#define BORNAGAIN_BASE_AXIS_DISCRETEAXIS_H

#include "Base/Axis/IAxis.h"

IAxis DiscreteAxis(const std::string& name, const std::vector<double>& points);
IAxis* newDiscreteAxis(const std::string& name, const std::vector<double>& points);

#endif // BORNAGAIN_BASE_AXIS_DISCRETEAXIS_H
